%define app_name ct-ng
##define _binaries_in_noarch_packages_terminate_build 0
%global __requires_exclude ^/bin/gmake$

Name: crosstool-ng
Version: 1.22.0
Release: 2%{?dist}
Summary: Build tool-chains for cross-compilation

Group: Development/Tools
License: GPLv2+
URL: http://crosstool-ng.org
Source0: http://crosstool-ng.org/download/%{name}/%{name}-%{version}.tar.bz2
BuildRequires: ncurses-devel, bison, flex, texinfo, automake, libtool, cvs, lzma, gperf, help2man, wget
Requires: /usr/bin/gmake, glibc-static, libstdc++-static, bison, flex, texinfo, automake, libtool, cvs, lzma, gperf, help2man, wget, autoconf

%description
Crosstool Next Generation is all-in-one solution for generating
tool-chains for cross-compilation.

The tool allows a developer to select and build specific versions
of the tools (gcc, g++, glibc, etc.)

Samples of working configurations are included and can be located
in the %{_libdir}/%{name}-%{version}/samples directory.


%prep
%setup -q -n crosstool-ng


%build
# The following configure script was *NOT* generated by autoconf.
./configure --prefix=%{_prefix} --libdir=%{_libdir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .gitignore -print0 | xargs -0 -r rm

cp COPYING README.md TODO $RPM_BUILD_ROOT/%{_docdir}/%{name}/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/%{app_name}
%{_libdir}/%{name}-%{version}
%{_docdir}/%{name}/%{name}-%{version}
%{_mandir}/man1/%{app_name}.1*


%changelog
* Mon Apr 18 2016 Alex Szczuczko <aszczucz@redhat.com> - 1.22.0-1
- Update to 1.22.0
* Sat Nov 06 2010 Oron Peled <oron@actcom.co.il> - 1.9.0-1
- New upstream version
- Add BR lzma
* Tue Oct 13 2009 Oron Peled <oron@actcom.co.il> - 1.5.0-1
- New upstream version
- Remove the populate patches after discussing with upstream
* Tue Aug 25 2009 Oron Peled <oron@actcom.co.il> - 1.4.2-2
- Configure ./scripts/populate during build time. Than
  during runtime (toolchain build) only configure CT_TARGET
  and output to the final ${CT_TARGET}-populate script.
* Mon Aug 24 2009 Oron Peled <oron@actcom.co.il> - 1.4.2-1
- Initial packaging.
